Subject: Re: [Autoconf] Autoconf Digest, Vol 25, Issue 4

From: "Hasnaa Moustafa" <[email-masked]>
Date: Wed, 20 Feb 2008 14:12:45 +0100

Hi Teco,

Few comments inline.

Hassnaa

------------------------------
Date: Wed, 20 Feb 2008 12:50:38 +0100
From: "Teco Boot" <[email-masked]>
Subject: Re: [Autoconf] Autoconf Digest, Vol 25, Issue 3
To: "'Hasnaa Moustafa'" <[email-masked]>
Cc: [email-masked]
Message-ID: <002201c873b6$d8dc2f90$8a948eb0$@nl>
Content-Type: text/plain; charset="us-ascii"

Comments inline.

CU, Teco

Van: Hasnaa Moustafa [mailto:[email-masked]]
Verzonden: woensdag 20 februari 2008 10:31
Aan: Teco Boot
CC: [email-masked]
Onderwerp: Re: Autoconf Digest, Vol 25, Issue 3

Page 4; Network merging:
Why not using "MANET merging"?
Same for Network partitioning.
And why using term "disconnected MANETs"? What is the difference with
"Autonomous MANETs"?

I agree with Emmanuel comment that Network merging is a more general term.
As this may be a merging of a MANET with an infrastructure network for
instance, same thing for partitioning.

[Teco:]

This confuses me. I cannot think of a merge between a MANET network and a
non-MANET network. A network is one or the other.

Hassnaa: I agree, this is confusing when we say (MANET Merging). But if we
say (Network Merging) this would not confuse. A merge between a MANET and
non-MANET may occur in subordinate MANET when there is a connection with an
external network. Section 3.1.1 in the draft gives an example of a "coverge
extension case" when a MANET extends the coverage of a wide area wireless
network and hence is connected to it.

Concerning the term "disconnected": these are disconnected MANETs that got
merged, where this may happen for autonomous and subordinate categories.

[Teco:]

I think the term is an orphan. In previous versions, we had Connected MANET.
Now, this is called Subordinate MANET.

The new term Autonomous MANET is the opposite of a Subordinate MANET.

If disconnected MANET is something else than Autonomous MANET, I want to
know.

Old text:

Network merging  - the process by which two or more previously

     disconnected MANETs get connected.

Network partitioning  - the process by which a MANET splits into two

     or more disconnected MANETs.

Suggested text:

MANET merging  - the process by which two or more MANETs get connected.

MANET partitioning  - the process by which a MANET splits into two

     or more MANETs.

Hassnaa: the term "disconnected" and "autonomous" should not be compared.
As "Autonomous" in the draft is a category of MANET, however the term
"disconnected" used in the definition of "Network Merging" is to explain the
case when two MANETs that are not connected together got merged.

Page 6; 3.1.1.
I think Car-to-car communication is more or less an autonomous MANET, where
car-to-infrastructure is an example of a subordinate MANET.
c/Car-to-car communication networks/Vehicle communication networks/ ??

Agree on vehicular communication, however this can fall under the two
categories (autonoumous and subordinate) according to the application (if we
need Internet for example), and to the road architecture (if there are some
fixed deployed entities belonging to a certain authority for example).

[Teco:] This is clear in the text. I did not copy the whole paragraph.

Page 10; 5.1.2.
I don't think correctly operating DHCP servers will provide non-unique IP
addresses. Why is this suggested?

Actually, it is mentioned that this approach "could be used to some extent
for uniqueness maintenance", implying that this is not the whole solution
for IP address uniqueness.

[Teco:] Yes, there could be incorrectly operating DHCP servers, and
collisions with (invalid) manual configured addresses or SLAAC addresses.

The text below your quote:

  For instance if the

  topology is or becomes such that several DHCP servers configure hosts

  independently in a MANET, there is no guarantee that leased addresses

  will indeed be unique, since the DHCP servers will not check a priori

    the disjoint character of the prefixes they provide leases from.

I don't think this will occur.

Hassnaa: if there is no synchronisation between the DHCP servers then
checking the disjoint character of the prefixes is an issue.

Page 11; 5.3.2
When IP connectivity exists between a MANET Router and a DHCP Server (set up
by whatever mechanism), what is the problem with DHCP-PD? I can't follow.

I agree with Thomas last comment on this point: what is the case if there is
no IP connectivity between the MANET Router and the DHCP server. This case
can frequently occur according to the scenario type and here, there is an
issue.

[Teco:] I included the condition that there is IP connectivity. More on this
in the other posting.

-------------- next part --------------
An HTML attachment was scrubbed...
URL:
http://www.ietf.org/pipermail/autoconf/attachments/20080220/6fe9bbe6/attachment.htm

------------------------------
_______________________________________________
Autoconf mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/autoconf

---

From: "Hasnaa Moustafa" <[email-masked]>
Date: Wed, 20 Feb 2008 14:23:48 +0100

Hi Teco,

A small comment on the authorization point that you discussed, and in fact
we have had some discussions on this point before.

I agree with you on this point. Actually R10. in the draft discusses the
security issue and IMHO, this could be elaborated to highligh the
authorization issue.

Kind Regards,
Hassnaa

> Date: Wed, 20 Feb 2008 11:56:15 +0100
> Subject: Re: [Autoconf] AUTOCONF Problem Statement: reviews needed.
> To: "'Emmanuel Baccelli'" <[email-masked]>, "'Thomas
>        Clausen'" <[email-masked]>
> Cc: [email-masked]
> Message-ID: <001e01c873af$3ab21700$b0164500$@nl>
> Content-Type: text/plain;       charset="iso-8859-1"
>
> Hi,
>
> Some comments inline.
>
> I have more thoughts which I did not mention in my first response:
>
> On uniqueness validation, I posted before my reservations on active DAD.
> In
> many cases, this is not needed. RFC4862:
> >  To accommodate
> >  sites that believe the overhead of performing Duplicate Address
> >  Detection outweighs its benefits, the use of Duplicate Address
> >  Detection can be disabled through the administrative setting of a
> >  per-interface configuration flag.
> The old version of our Problem Statement had some text on this.
>
> On multi-homed subordinate MANETs, the current document does not describe
> this scenario in detail. It is just an instance of a subordinate MANET, as
> this category is described with "is connected to at least one external
> network N".
> I think multi-homed subordinate MANET scenario introduces a large, new
> problem which is related to the selection mechanism of the path to one of
> the external networks. This path selection is out-of-control for Autoconf,
> as it is up to the (MANET) routing protocol to find out the path to the
> destination.
> Scenario:
>
>
>                   '.                           /
>                    `.        Network N        /   Topologically correct
>                      `.                    _,'          prefix q:: with
> Topologically correct `-.__           _,,'        respect to network M
>        prefix p:: with      `'-.,._,,''                    ___
>   respect to network N          :                       ,-?
>                               +-:-+                    /
>                               |MNR|                   ;    N
>                               +-|-+                  /     E
>              +-+  +---+ /      /|\       \ +---+     ;     T
>              | |...MNR---       .-.      ---MNR:.....,     W
>              +-+  +---+ \    ,-(  _)-.   / +---+     !     O
>                           .-(_ MANET  )-.            !     R
>              Other       ( Communication )           :     K
>              Nodes          `-(______)-'              \
>              and         \|/             \|/           :   M
>              Networks   +-|-+           +-|-+          \
>                         |MNR|    \|/    |MNR|           \_____
>                         +-:-+   +-|-+   +-:-+
>                                 |MNR|     :
>                                 +-:-+    +-+
>                                          +-+
>
> Now, we have to select a topologically correct prefix p:: with respect to
> network N but not to network M or a topologically correct prefix q:: with
> respect to network M but not to network N. It is very hard to select p::
> or
> q::, as it is dependent on the (dynamic) topology of the MANET and the
> MANET
> routing protocol. By my knowledge, the MANET protocols we have right now
> are
> using the destination IP address for forwarding and not the source IP
> address.
> Any thoughts including this problem in the Problem Statement document?
>
> I have also my thoughts on needs for authorization on using the external
> network. I think in real world, many access providers no not allow
> unauthorized nodes to have access. Getting an address in not that much a
> problem, using the access network is.
>
> Regards, Teco
>
>
>
>